Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::Texture3D::Extensions Class Reference

Encapsulates queries of extension availability, obtains extension function pointers, and provides convinience wrappers for calling extension functions. More...

Inheritance diagram for osg::Texture3D::Extensions:

[legend]
List of all members.

## Public Member Functions
| Extensions (unsigned int contextID)
| Extensions (const Extensions &rhs)
void | lowestCommonDenominator (const Extensions &rhs)
void | setupGLExtenions (unsigned int contextID)
void | setTexture3DSupported (bool flag)
bool | isTexture3DSupported () const
void | setTexture3DFast (bool flag)
bool | isTexture3DFast () const
void | setMaxTexture3DSize (GLint maxsize)
GLint | maxTexture3DSize () const
void | setTexImage3DProc (void *ptr)
void | glTexImage3D (GLenum target, GLint level, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels) const
void | setTexSubImage3DProc (void *ptr)
void | glTexSubImage3D (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels) const
void | setCopyTexSubImage3DProc (void *ptr)
void | glCopyTexSubImage3D (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height) const
bool | isCompressedTexImage3DSupported () const
void | setCompressedTexImage3DProc (void *ptr)
void | glCompressedTexImage3D (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *data) const
bool | isCompressedTexSubImage3DSupported () const
void | setCompressedTexSubImage3DProc (void *ptr)
void | glCompressedTexSubImage3D (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data) const
void | setBuild3DMipmapsProc (void *ptr)
void | gluBuild3DMipmaps (GLenum target, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *data) const
## Protected Member Functions
| ~Extensions ()
## Protected Attributes
bool | _isTexture3DSupported
bool | _isTexture3DFast
GLint | _maxTexture3DSize
void * | _glTexImage3D
void * | _glTexSubImage3D
void * | _glCompressedTexImage3D
void * | _glCompressedTexSubImage3D
void * | _glCopyTexSubImage3D
void * | _gluBuild3DMipmaps

## Detailed Description

Encapsulates queries of extension availability, obtains extension function pointers, and provides convinience wrappers for calling extension functions.

## Constructor & Destructor Documentation

osg::Texture3D::Extensions::Extensions | ( | unsigned int | contextID | ) |

osg::Texture3D::Extensions::Extensions | ( | const Extensions & | rhs | ) |

osg::Texture3D::Extensions::~Extensions | ( |  | ) | `[inline, protected]`

## Member Function Documentation

void osg::Texture3D::Extensions::glCompressedTexImage3D | ( | GLenum | target,
|  | GLint | level,
|  | GLenum | internalformat,
|  | GLsizei | width,
|  | GLsizei | height,
|  | GLsizei | depth,
|  | GLint | border,
|  | GLsizei | imageSize,
|  | const GLvoid * | data
| ) | const

void osg::Texture3D::Extensions::glCompressedTexSubImage3D | ( | GLenum | target,
|  | GLint | level,
|  | GLint | xoffset,
|  | GLint | yoffset,
|  | GLint | zoffset,
|  | GLsizei | width,
|  | GLsizei | height,
|  | GLsizei | depth,
|  | GLenum | format,
|  | GLsizei | imageSize,
|  | const GLvoid * | data
| ) | const

void osg::Texture3D::Extensions::glCopyTexSubImage3D | ( | GLenum | target,
|  | GLint | level,
|  | GLint | xoffset,
|  | GLint | yoffset,
|  | GLint | zoffset,
|  | GLint | x,
|  | GLint | y,
|  | GLsizei | width,
|  | GLsizei | height
| ) | const

void osg::Texture3D::Extensions::glTexImage3D | ( | GLenum | target,
|  | GLint | level,
|  | GLenum | internalFormat,
|  | GLsizei | width,
|  | GLsizei | height,
|  | GLsizei | depth,
|  | GLint | border,
|  | GLenum | format,
|  | GLenum | type,
|  | const GLvoid * | pixels
| ) | const

void osg::Texture3D::Extensions::glTexSubImage3D | ( | GLenum | target,
|  | GLint | level,
|  | GLint | xoffset,
|  | GLint | yoffset,
|  | GLint | zoffset,
|  | GLsizei | width,
|  | GLsizei | height,
|  | GLsizei | depth,
|  | GLenum | format,
|  | GLenum | type,
|  | const GLvoid * | pixels
| ) | const

void osg::Texture3D::Extensions::gluBuild3DMipmaps | ( | GLenum | target,
|  | GLint | internalFormat,
|  | GLsizei | width,
|  | GLsizei | height,
|  | GLsizei | depth,
|  | GLenum | format,
|  | GLenum | type,
|  | const GLvoid * | data
| ) | const

bool osg::Texture3D::Extensions::isCompressedTexImage3DSupported | ( |  | ) | const`[inline]`

bool osg::Texture3D::Extensions::isCompressedTexSubImage3DSupported | ( |  | ) | const`[inline]`

bool osg::Texture3D::Extensions::isTexture3DFast | ( |  | ) | const`[inline]`

bool osg::Texture3D::Extensions::isTexture3DSupported | ( |  | ) | const`[inline]`

void osg::Texture3D::Extensions::lowestCommonDenominator | ( | const Extensions & | rhs | ) |

GLint osg::Texture3D::Extensions::maxTexture3DSize | ( |  | ) | const`[inline]`

void osg::Texture3D::Extensions::setBuild3DMipmapsProc | ( | void * | ptr | ) | `[inline]`

void osg::Texture3D::Extensions::setCompressedTexImage3DProc | ( | void * | ptr | ) | `[inline]`

void osg::Texture3D::Extensions::setCompressedTexSubImage3DProc | ( | void * | ptr | ) | `[inline]`

void osg::Texture3D::Extensions::setCopyTexSubImage3DProc | ( | void * | ptr | ) | `[inline]`

void osg::Texture3D::Extensions::setMaxTexture3DSize | ( | GLint | maxsize | ) | `[inline]`

void osg::Texture3D::Extensions::setTexImage3DProc | ( | void * | ptr | ) | `[inline]`

void osg::Texture3D::Extensions::setTexSubImage3DProc | ( | void * | ptr | ) | `[inline]`

void osg::Texture3D::Extensions::setTexture3DFast | ( | bool | flag | ) | `[inline]`

void osg::Texture3D::Extensions::setTexture3DSupported | ( | bool | flag | ) | `[inline]`

void osg::Texture3D::Extensions::setupGLExtenions | ( | unsigned int | contextID | ) |

## Member Data Documentation

void* osg::Texture3D::Extensions::_glCompressedTexImage3D`[protected]`

void* osg::Texture3D::Extensions::_glCompressedTexSubImage3D`[protected]`

void* osg::Texture3D::Extensions::_glCopyTexSubImage3D`[protected]`

void* osg::Texture3D::Extensions::_glTexImage3D`[protected]`

void* osg::Texture3D::Extensions::_glTexSubImage3D`[protected]`

void* osg::Texture3D::Extensions::_gluBuild3DMipmaps`[protected]`

bool osg::Texture3D::Extensions::_isTexture3DFast`[protected]`

bool osg::Texture3D::Extensions::_isTexture3DSupported`[protected]`

GLint osg::Texture3D::Extensions::_maxTexture3DSize`[protected]`

The documentation for this class was generated from the following file:

- Texture3D